package co.yixiang.yshop.module.member.enums;

import lombok.Getter;

/**
 * @author pepis
 * @apiNote 等级权益枚举
 **/
@Getter
public enum LevelEquityEnum {
    FREE_SHIPPING("free_shipping", "全场包邮"),
    DISCOUNT("discount", "会员折扣"),
    INTEGRAL("integral", "会员积分"),
    COUPON("coupon", "会员专享券"),
    ;
    private final String type;
    private final String name;

    LevelEquityEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }
}
